Shaders{

	Paths{
		[ msp : "../Resources/Shaders" ]
	}
	
	Shader{
		[ name : "windowing system shader" ]
		
		[ vertexShader : "$msp/windowingSystemShader.vertex" ]
		[ fragmentShader : "$msp/windowingSystemShader.fragment" ]
		
		DefaultVariable{
			[ type : "int" ]
			[ name : "Texture0" ]
			[ value : 0 ]
		}
		
		DefaultVariable{
			[ type : "int" ]
			[ name : "Texture1" ]
			[ value : 1 ]
		}
		
		DefaultVariable{
			[ type : "int" ]
			[ name : "Texture2" ]
			[ value : 2 ]
		}
		
		DefaultVariable{
			[ type : "int" ]
			[ name : "useBounds" ]
			[ value : 0 ]
		}
	}
	
	Shader{
		[ name : "standard shader" ]
		
		[ vertexShader : "$msp/standardShader.vertex" ]
		[ fragmentShader : "$msp/standardShader.fragment" ]
		
		DefaultVariable{
			[ type : "int" ]
			[ name : "Texture0" ]
			[ value : 0 ]
		}
		
		DefaultVariable{
			[ type : "int" ]
			[ name : "Texture1" ]
			[ value : 1 ]
		}
		
		DefaultVariable{
			[ type : "int" ]
			[ name : "Texture2" ]
			[ value : 2 ]
		}
		
		DefaultVariable{
			[ type : "int" ]
			[ name : "useLighting" ]
			[ value : 1 ]
		}
	}

	Shader{
		[ name : "color picker shader" ]
		
		[ vertexShader : "$msp/colorPickerShader.vertex" ]
		[ fragmentShader : "$msp/colorPickerShader.fragment" ]
	}
}